
RETAILF = -c -Gs -Zdpl -Od -D_X86_ -YX -Fc$*.out -DBLD_COFF $(DEBUG) -DIS_32
DEBUGF  = -c -Gs -Zdpl -Od -D_X86_ -YX -W3 -Fc$*.out -DDEBLEVEL=1 -DBLD_COFF -DDEBUG -DIS_32

ASMRETAILF = -coff -DBLD_COFF -DIS_32 -W2 -c -Cx -DMASM6
ASMDEBUGF  = -coff -DBLD_COFF -DIS_32 -W2 -Zd -c -Cx -DMASM6 -Zi -DDEBUG

CFLAGS = $(RETAILF)
ASMFLAGS = $(ASMRETAILF)

# CFLAGS = $(DEBUGF)
# ASMFLAGS = $(ASMDEBUGF)

all: vkeymap.vxd

devdcl.obj: $*.asm
   ml $(ASMFLAGS) $*.asm

vkeymap.obj: $*.c
   cl $(CFLAGS) $*.c

vkeymap.vxd: devdcl.obj $*.obj $*.def
   c:\ddk\bin\link @<<
-machine:i386 -debug:none -pdb:none -def:$*.def -out:$@
-map:$*.map -vxd vxdwraps.clb
devdcl.obj vkeymap.obj
<<

	copy vkeymap.vxd ..\install
	copy vkeymap.vxd c:\windows\system 


